## pygrib 2.1.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = pygrib
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pygrib 1.9.3

=== debian/changelog ===
pygrib (1.9.3-1) unstable; urgency=low

  * Initial release. (Closes: #669260).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Apr 2012 16:59:41 +0100

=== debian/control ===
Source: pygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), python-dev, python-support, libgrib-api-dev, libgrib2c-dev, python-numpy, libjasper-dev, libpng-dev
Standards-Version: 3.9.3
Homepage: https://code.google.com/p/pygrib/

Package: python-grib
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python-numpy, ${shlibs:Depends}, python-pyproj
Provides: ${python:Provides}
Description:  python module for reading and writing GRIB files
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a python interface
 to the GRIB API C library from the 
 European Centre for Medium-Range Weather Forecasts (ECMWF).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ 

override_dh_auto_install:
	dh_numpy
	dh_auto_install

## pygrib 1.9.6

=== debian/changelog ===
pygrib (1.9.6-2) unstable; urgency=low

  * Fix error in updated patch; macros was not set, causing failure on
    64-bit systems.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 12:33:01 +0100

pygrib (1.9.6-1) unstable; urgency=low

  * New upstream release.
  * Move to Standards-Version: 3.9.4. 
  * Transition from python-support.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 May 2013 06:08:43 +0100

=== debian/control ===
Source: pygrib
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), python-all-dev (>=2.6.6-3~), libgrib-api-dev, libgrib2c-dev, python-numpy (>= 1:1.6.1) , libjasper-dev, libpng-dev, python3-all-dev
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://code.google.com/p/pygrib/

Package: python-grib
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python-numpy, ${shlibs:Depends}, python-pyproj
Provides: ${python:Provides}
Description:  Python module for reading and writing GRIB files
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python interface
 to the GRIB API C library from the 
 European Centre for Medium-Range Weather Forecasts (ECMWF).

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with python2

# python3 support incomplete until python3-pyproj and python-numpy work.

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

build-python%:
	python$* setup.py build

#override_dh_auto_build: $(PYTHON3:%=build-python%)
override_dh_auto_build: 
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

#override_dh_auto_install: $(PYTHON3:%=install-python%)
override_dh_auto_install: 
	dh_auto_install
	dh_numpy


override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## pygrib 1.9.8

=== debian/changelog ===
pygrib (1.9.8-1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:26:42 +0100

pygrib (1.9.8-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:28:16 +0000

pygrib (1.9.8-1) unstable; urgency=low

  * New upstream release.
  * Add upstream changelog: debian/changelog.upstream.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Nov 2013 15:38:45 +0000

pygrib (1.9.7-1) unstable; urgency=low

  * New upstream release.
    - Includes man pages from Debian.
  * Move to debhelper 9.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Nov 2013 09:33:35 +0000

pygrib (1.9.6-3) unstable; urgency=low

  [Alastair McKinstry]
  * Add dependencies for python3.

  [Scott Kidderman]
  * Finish Python 3 support (Closes: #721209).
   - Build with python3 and buildsystem pybuild
   - Add dh-python to build-dep for pybuild
   - Add python3-nuumpy to build-depends and add dh_numpy3 to debian/rules
   - Simplify debian/rules
   - Add python3-grib to debian/control
   - Move documentation and examples to common python-grib-doc package
   - Add python/3-grib.install 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Aug 2013 14:11:51 +0100

=== debian/control ===
Source: pygrib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>=2.6.6-3~), libgrib-api-dev, libgrib2c-dev, python-numpy (>= 1:1.6.1) , libjasper-dev, libpng-dev, python3-all-dev, python3-numpy, dh-python
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://code.google.com/p/pygrib/

Package: python-grib
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python-numpy, ${shlibs:Depends}, python-pyproj
Provides: ${python:Provides}
Recommends: python-grib-doc
Description:  Python module for reading and writing GRIB files
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python interface
 to the GRIB API C library from the 
 European Centre for Medium-Range Weather Forecasts (ECMWF).

Package: python3-grib
Recommends: python-grib-doc
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, ${shlibs:Depends}, python3-pyproj
Breaks: python-grib (<< 1.9.6-3~)
Replaces: python-grib (<< 1.9.6-3~)
Description:  Python 3 module for reading and writing GRIB files
 Python 3 module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python 3 interface
 to the GRIB API C library from the
 European Centre for Medium-Range Weather Forecasts (ECMWF).
 .
 This packages also contains the cnvgrib1to2, grib_list, grib_repack, and
 cnvgrib2to1 scripts.

Package: python-grib-doc
Architecture: all
Depends: ${misc:Depends}
Breaks: python-grib (<< 1.9.6-3~)
Replaces: python-grib (<< 1.9.6-3~)
Description:  Documentation and examples for Python GRIB
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python interface
 to the GRIB API C library from the
 European Centre for Medium-Range Weather Forecasts (ECMWF).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with python2,python3 --buildsystem=pybuild


override_dh_auto_build: 
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

#override_dh_auto_install: $(PYTHON3:%=install-python%)
override_dh_auto_install: 
	dh_auto_install
	dh_installchangelogs debian/changelog.upstream
	dh_numpy
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
version=3
http://code.google.com/p/pygrib/downloads/list?can=1 \
.*/pygrib-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## pygrib 1.9.9

=== debian/changelog ===
pygrib (1.9.9-2) unstable; urgency=medium

  * Standards-Version: 3.9.6, no changes required.
  * Fix from Rostislav Kouznetsov for segfault on 4-byte DRTs.
    LP: #1308040.
  * Fix Section from doc to python.
  * Acknowledge older Ubuntu bugs now fixed: LP: #1362109, #1308039.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2014 14:02:22 +0100

pygrib (1.9.9-1) unstable; urgency=medium

  * New upstream release
  * Move to Standards-Version: 3.9.5.
  * Move python-grib-docs to section: doc
  * Fix spelling mistake in description.
  * python modules now depend on -dev versions of libraries they use.
    Closes: #760130.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Sep 2014 13:51:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,22 @@
 Source: pygrib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), python-all-dev (>=2.6.6-3~), libgrib-api-dev, libgrib2c-dev, python-numpy (>= 1:1.6.1) , libjasper-dev, libpng-dev, python3-all-dev, python3-numpy, dh-python
-Standards-Version: 3.9.4
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 9), 
+ python-all-dev (>=2.6.6-3~), 
+ libgrib-api-dev, libgrib2c-dev, 
+ python-numpy (>= 1:1.6.1) , 
+ libjasper-dev, libpng-dev, python3-all-dev, python3-numpy, dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://code.google.com/p/pygrib/
 
 Package: python-grib
 Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, python-numpy, ${shlibs:Depends}, python-pyproj
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ ${python:Depends}, python-numpy, python-pyproj,
+ libgrib-api-dev, libgrib2c-dev,libjasper-dev, libpng-dev, libjasper-dev
 Provides: ${python:Provides}
 Recommends: python-grib-doc
 Description:  Python module for reading and writing GRIB files
@@ -24,7 +29,9 @@
 Package: python3-grib
 Recommends: python-grib-doc
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, python3-numpy, ${shlibs:Depends}, python3-pyproj
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ ${python3:Depends}, python3-numpy, python3-pyproj,
+ libgrib-api-dev, libgrib2c-dev,libjasper-dev, libpng-dev, libjasper-dev
 Breaks: python-grib (<< 1.9.6-3~)
 Replaces: python-grib (<< 1.9.6-3~)
 Description:  Python 3 module for reading and writing GRIB files
@@ -34,11 +41,12 @@
  to the GRIB API C library from the
  European Centre for Medium-Range Weather Forecasts (ECMWF).
  .
- This packages also contains the cnvgrib1to2, grib_list, grib_repack, and
+ This package also contains the cnvgrib1to2, grib_list, grib_repack, and
  cnvgrib2to1 scripts.
 
 Package: python-grib-doc
 Architecture: all
+Section: doc
 Depends: ${misc:Depends}
 Breaks: python-grib (<< 1.9.6-3~)
 Replaces: python-grib (<< 1.9.6-3~)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 # The magic debhelper  rule
 %:

## pygrib 2.0.0

=== debian/changelog ===
pygrib (2.0.0-3build2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 07:49:51 +0000

pygrib (2.0.0-3build1) wily; urgency=medium

  * No change rebuild for libgrib-api0 

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 14 Jul 2015 23:42:08 -0500

pygrib (2.0.0-3) unstable; urgency=medium

  * Remember to move the man pages, too. Closes: #789661.
  * Put Vcs-Git into canonical anonscm.debian.org form.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jun 2015 16:53:32 +0100

pygrib (2.0.0-2) unstable; urgency=medium

  * Add Replaces/Breaks to handle move of binaries in 2.0.0-1.
    Closes: #789661. 
  * Move watch file to point to pypi redirector rather than code.google.com

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 14:46:59 +0100

pygrib (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use xz compression.
  * Build using pybuild.
  * Move binaries from python-grib -> python3-grib. Add dependency on
    python-grib to python3-grib.
  * Now B-D on chrpath and libopenjpeg-dev. Need to chrpath libs.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Jun 2015 22:29:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), 
- python-all-dev (>=2.6.6-3~), 
+Build-Depends: debhelper (>= 9), chrpath,
+ python3-all-dev, python3-numpy, dh-python,
+ python-numpy, python-all-dev,
  libgrib-api-dev, libgrib2c-dev, 
- python-numpy (>= 1:1.6.1) , 
- libjasper-dev, libpng-dev, python3-all-dev, python3-numpy, dh-python
+ libjasper-dev, libpng-dev, libopenjpeg-dev
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://code.google.com/p/pygrib/
+Vcs-Git:  git://git.debian.org/git/debian-science/packages/pygrib.git
 
 Package: python-grib
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  ${python:Depends}, python-numpy, python-pyproj,
- libgrib-api-dev, libgrib2c-dev,libjasper-dev, libpng-dev, libjasper-dev
+ libgrib-api-dev, libgrib2c-dev,libjasper-dev, libpng-dev, libjasper-dev,
+ python3-grib (>> 2.0.0-1)
 Provides: ${python:Provides}
-Recommends: python-grib-doc
+Recommends: python-grib-doc, 
 Description:  Python module for reading and writing GRIB files
  Python module for reading and writing GRIB (editions 1 and 2) files.
  GRIB is the World Meterological Organization standard for
@@ -32,8 +34,8 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
  ${python3:Depends}, python3-numpy, python3-pyproj,
  libgrib-api-dev, libgrib2c-dev,libjasper-dev, libpng-dev, libjasper-dev
-Breaks: python-grib (<< 1.9.6-3~)
-Replaces: python-grib (<< 1.9.6-3~)
+Replaces: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
+Breaks: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
 Description:  Python 3 module for reading and writing GRIB files
  Python 3 module for reading and writing GRIB (editions 1 and 2) files.
  GRIB is the World Meterological Organization standard for
@@ -48,8 +50,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Breaks: python-grib (<< 1.9.6-3~)
-Replaces: python-grib (<< 1.9.6-3~)
 Description:  Documentation and examples for Python GRIB
  Python module for reading and writing GRIB (editions 1 and 2) files.
  GRIB is the World Meterological Organization standard for

## pygrib 2.0.1

=== debian/changelog ===
pygrib (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Change homepage from code.google.com to github.
  * Now build-depend on python-mpltoolkits.basemap

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Jan 2016 14:50:51 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), chrpath,
  python3-all-dev, python3-numpy, dh-python,
- python-numpy, python-all-dev,
+ python-numpy, python-all-dev, python-mpltoolkits.basemap,
+ python3-mpltoolkits.basemap,
  libgrib-api-dev, libgrib2c-dev, 
  libjasper-dev, libpng-dev, libopenjpeg-dev
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Homepage: https://code.google.com/p/pygrib/
+Homepage: https://github.com/jswhit/pygrib
 Vcs-Git:  git://git.debian.org/git/debian-science/packages/pygrib.git
 
 Package: python-grib

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 # export DH_VERBOSE=1
+
+export PYBUILD_NAME=grib
 
 # The magic debhelper  rule
 %:
@@ -15,8 +17,10 @@
 
 #override_dh_auto_install: $(PYTHON3:%=install-python%)
 override_dh_auto_install: 
+	dh_installchangelogs debian/changelog.upstream
 	dh_auto_install
-	dh_installchangelogs debian/changelog.upstream
+	chrpath -d debian/python-grib/usr/lib/python2.7/dist-packages/*.so
+	rm -fr debian/python-grib/usr/bin
 	dh_numpy
 	dh_numpy3

## pygrib 2.0.2

=== debian/changelog ===
pygrib (2.0.2-4) unstable; urgency=medium

  * regenerate cython files
  * Point VCS at salsa.debian.org
  * Standards-Version: 4.1.4
  * Drop obsolete X-Python*-Version clauses from d/control
  * Build against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Jul 2018 09:49:04 +0100

pygrib (2.0.2-3) unstable; urgency=medium

 * Standards-Version: 4.1.3; no changes required
  * Change dependencies from libgrib-api-dev to libeccodes-dev
  * Temporarily disable g2libc until memory linking issue solved
    ( See: #889321)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Feb 2018 07:05:57 +0000

pygrib (2.0.2-2) unstable; urgency=medium

  * Link against libeccodes instead of libgrib-api (which is deprecated)
  * Standards-Version: 4.0.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Aug 2017 14:34:47 +0100

pygrib (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT is now 10
  * Mark python-grib-doc as M-A: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Nov 2016 11:47:58 +0000

pygrib (2.0.1-4) unstable; urgency=medium

  * Remove more unnecessary openjpeg, png dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jun 2016 09:31:20 +0100

pygrib (2.0.1-3) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * remove unnecessary dependencies. Closes: #826826
  * Add gdb.conf file to debian/

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Jun 2016 08:44:02 +0100

pygrib (2.0.1-2) unstable; urgency=medium

  * Drop jasper from Debian as obsolete; using openjpeg instead.
  * Standards-Version: 3.9.7 ; no changes required.
  * add {python,python3}-pyproj as build-dependencies.
  * Patch: use setuptools not distutils

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Feb 2016 11:07:53 +0000

=== debian/control ===
Source: pygrib
Section: python
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10), 
 chrpath,
 cython, 
 cython3,
 python3-all-dev, 
 python3-numpy, 
 dh-python,
 python-pyproj, 
 python3-pyproj,
 python-numpy, 
 python-all-dev,
 python-setuptools, 
 python3-setuptools,
 libeccodes-dev, 
 libgrib2c-dev, 
 libpng-dev
Standards-Version: 4.1.4
Homepage: https://github.com/jswhit/pygrib
Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git

Package: python-grib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
 ${python:Depends}, python-numpy, python-pyproj,
 libeccodes-dev, libgrib2c-dev,
 python3-grib (>> 2.0.0-1)
Provides: ${python:Provides}
Recommends: python-grib-doc
Description:  Python module for reading and writing GRIB files
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python interface
 to the GRIB API C library from the 
 European Centre for Medium-Range Weather Forecasts (ECMWF).

Package: python3-grib
Recommends: python-grib-doc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
 ${python3:Depends}, python3-numpy, python3-pyproj,
 libeccodes-dev, libgrib2c-dev
Replaces: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
Breaks: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
Description:  Python 3 module for reading and writing GRIB files
 Python 3 module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python 3 interface
 to the GRIB API C library from the
 European Centre for Medium-Range Weather Forecasts (ECMWF).
 .
 This package also contains the cnvgrib1to2, grib_list, grib_repack, and
 cnvgrib2to1 scripts.

Package: python-grib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description:  Documentation and examples for Python GRIB
 Python module for reading and writing GRIB (editions 1 and 2) files.
 GRIB is the World Meterological Organization standard for
 distributing gridded data. The module is a Python interface
 to the GRIB API C library from the
 European Centre for Medium-Range Weather Forecasts (ECMWF).

## pygrib 2.0.3

=== debian/changelog ===
pygrib (2.0.3-2) unstable; urgency=medium

  * Fix for python3. Closes: #907479
  * Standards-Version: 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Sep 2018 13:56:18 +0100

pygrib (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * eccodes.patch now merged upstream
  * Standards-Version: 4.2.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Aug 2018 17:02:17 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libeccodes-dev, 
  libgrib2c-dev, 
  libpng-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
 Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git

## pygrib 2.0.4

=== debian/changelog ===
pygrib (2.0.4-5) unstable; urgency=medium

  * Add deps for autopkgtest. Closes: #964154

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jul 2020 20:36:22 +0100

pygrib (2.0.4-4) unstable; urgency=medium

  * Add fix for changeof divsion in python3.8 that breaks 
    'import pygrib'. Closes: #963428, #962759
  * Add autopkgtest 
  * Delete unused patches

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2020 15:42:38 +0100

pygrib (2.0.4-3) unstable; urgency=medium

  * Drop B-D on cython. Closes: #845700
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jun 2020 08:52:42 +0100

pygrib (2.0.4-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Drop python-grib as part of python2 rm transition
  * Move to debhelper level 12

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jul 2019 09:51:13 +0100

pygrib (2.0.4-1) unstable`; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0
  * Remove hard-coded 'xz' compression

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Feb 2019 11:28:25 +0000

=== debian/control ===
--- 
+++ 
@@ -2,47 +2,28 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), 
+Build-Depends: debhelper (>= 12), 
  chrpath,
- cython, 
  cython3,
  python3-all-dev, 
  python3-numpy, 
  dh-python,
- python-pyproj, 
  python3-pyproj,
- python-numpy, 
- python-all-dev,
- python-setuptools, 
  python3-setuptools,
  libeccodes-dev, 
  libgrib2c-dev, 
  libpng-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
 Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git
-
-Package: python-grib
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
- ${python:Depends}, python-numpy, python-pyproj,
- libeccodes-dev, libgrib2c-dev,
- python3-grib (>> 2.0.0-1)
-Provides: ${python:Provides}
-Recommends: python-grib-doc
-Description:  Python module for reading and writing GRIB files
- Python module for reading and writing GRIB (editions 1 and 2) files.
- GRIB is the World Meterological Organization standard for
- distributing gridded data. The module is a Python interface
- to the GRIB API C library from the 
- European Centre for Medium-Range Weather Forecasts (ECMWF).
 
 Package: python3-grib
 Recommends: python-grib-doc
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
  ${python3:Depends}, python3-numpy, python3-pyproj,
+ python3-distutils,
  libeccodes-dev, libgrib2c-dev
 Replaces: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
 Breaks: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export PYBUILD_NAME=grib

# The magic debhelper  rule
%:
	dh $@  --with python3 --buildsystem=pybuild


override_dh_auto_build:
	# Regenerate cython files
	cython3 -3 g2clib.pyx  
	cython3 -3 pygrib.pyx  
	cython3 -3  redtoreg.pyx
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

#override_dh_auto_install: $(PYTHON3:%=install-python%)
override_dh_auto_install: 
	dh_installchangelogs debian/changelog.upstream
	dh_auto_install
	dh_numpy3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## pygrib 2.1.3

=== debian/changelog ===
pygrib (2.1.3-1) unstable; urgency=medium

  * New upstream release
  * setup.py patch to fix path detection

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Dec 2020 09:52:17 +0000

pygrib (2.1.1-2) unstable; urgency=medium

  * Only run fixperms on binary builds. Closes: #977039

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2020 15:32:33 +0000

pygrib (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Drop g2clib.pyx patch - obsolete
  * ncepdocs no longer shipped
  * Use sphinx, libjsquery-* rather than ship javascript copies

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Dec 2020 12:32:13 +0000

pygrib (2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Dec 2020 10:53:10 +0000

pygrib (2.0.6-1) unstable; urgency=medium

  * New upstream release
  * Debhelper level 13
  * Set perms to grb files as non-executable
  * Standards-Version: 4.5.1
  * Use dh-sequence-python3 instead of --with=python3
  * Use DEP-14 branch names: update gbp.conf and Vcs-Git

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Nov 2020 08:24:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 12), 
+Build-Depends: debhelper (>= 13), 
  chrpath,
  cython3,
  python3-all-dev, 
  python3-numpy, 
- dh-python,
+ dh-sequence-python3,
  python3-pyproj,
  python3-setuptools,
  libeccodes-dev, 
  libgrib2c-dev, 
- libpng-dev
-Standards-Version: 4.5.0
+ libpng-dev,
+ sphinx,
+ libjs-jquery,
+ libjs-underscore
+Standards-Version: 4.5.1
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
-Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git
+Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git -b debian/latest
 
 Package: python3-grib
 Recommends: python-grib-doc
@@ -40,7 +43,7 @@
 Package: python-grib-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, sphinx, libjs-jquery, libjs-underscore
 Multi-Arch: foreign
 Description:  Documentation and examples for Python GRIB
  Python module for reading and writing GRIB (editions 1 and 2) files.

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import pygrib"
 ; done
Depends: python3-grib

## pygrib 2.1.4

=== debian/changelog ===
pygrib (2.1.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:24:38 +0000

pygrib (2.1.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * Mark tests as superficial. Closes: #974466

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Sep 2021 10:15:07 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  sphinx,
  libjs-jquery,
  libjs-underscore
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
 Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git -b debian/latest

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,4 @@
  ; $py -c "import pygrib"
  ; done
 Depends: python3-grib
+Restrictions: superficial

## pygrib 2.1.5

=== debian/changelog ===
pygrib (2.1.5-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:19 +1100

pygrib (2.1.5-2ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:57:05 +0100

pygrib (2.1.5-2) unstable; urgency=medium

  * Rebuild against libg2c-dev >= 1.8.0 for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jan 2024 13:11:34 +0000

pygrib (2.1.5-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete build-dep on libgrib2-dev
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Nov 2023 06:38:42 +0000

pygrib (2.1.4-2) unstable; urgency=medium

  * Depend on libg2c-dev | libgrib2c-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 May 2022 20:08:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pygrib
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 13), 
  chrpath,
  cython3,
@@ -11,12 +12,12 @@
  python3-pyproj,
  python3-setuptools,
  libeccodes-dev, 
- libgrib2c-dev, 
+ libg2c-dev (>= 1.8.0~1),
  libpng-dev,
  sphinx,
  libjs-jquery,
  libjs-underscore
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
 Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git -b debian/latest
@@ -26,8 +27,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libeccodes-data,
  ${python3:Depends}, python3-numpy, python3-pyproj,
- python3-distutils,
- libeccodes-dev, libgrib2c-dev
+ libeccodes-dev, 
+ libg2c-dev | libgrib2c-dev
 Replaces: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
 Breaks: python-grib (<< 2.0.0-1), python-grib-doc ( << 2.0.0-2)
 Description:  Python 3 module for reading and writing GRIB files

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=grib

# Directory where Javascript files installed
JSDIR:=$(CURDIR)/debian/python-grib-doc/usr/share/doc/python-grib-doc/_build/html/_static

# The magic debhelper  rule
%:
	dh $@  --buildsystem=pybuild

override_dh_auto_build:
	# Regenerate cython files
	( cd pygrib &&  cython3 -3 pygrib.pyx || true )
	dh_auto_build

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

#override_dh_auto_install: $(PYTHON3:%=install-python%)
override_dh_auto_install: 
	dh_installchangelogs debian/changelog.upstream
	dh_auto_install
	dh_numpy3

override_dh_fixperms-binary:
	dh_fixperms
	find debian/python-grib-doc -name '*.grb' -exec chmod -x {} \;	
	# Replace javascript files
	for f in doctools.js jquery-3.4.1.js underscore-1.3.1.js jquery.js language_data.js searchtools.js underscore.js ; do \
		rm $(JSDIR)/$$f ; done
	ln -s /usr/share/javascript/jquery/jquery.js $(JSDIR)/jquery.js 
	ln -s /usr/share/javascript/underscore/underscore.min.js $(JSDIR)/underscore.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js $(JSDIR)/doctools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js $(JSDIR)/language_data.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js $(JSDIR)/searchtools.js

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## pygrib 2.1.6

=== debian/changelog ===
pygrib (2.1.6-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:13:34 +0000

pygrib (2.1.6-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 21:52:06 +0000

pygrib (2.1.6-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:41:19 +0100

pygrib (2.1.6-1) unstable; urgency=medium

  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required
  * New upstream release
  * Remove runpath from python modules

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jul 2024 10:21:24 +0100

pygrib (2.1.5-4) unstable; urgency=medium

  * Add dep on python3-all for autopkgtest. Closes: #1067140

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Mar 2024 10:47:11 +0000

pygrib (2.1.5-3) unstable; urgency=medium

  * Drop obsolete dep on python-distutils.  Closes: #1065918

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Mar 2024 06:44:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pygrib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 13), 
  chrpath,
  cython3,
@@ -17,10 +17,10 @@
  sphinx,
  libjs-jquery,
  libjs-underscore
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jswhit/pygrib
-Vcs-Browser: https://salsa.debian.org:/science-team/pygrib
-Vcs-Git: https://salsa.debian.org:/science-team/pygrib.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/pygrib
+Vcs-Git: https://salsa.debian.org/science-team/pygrib.git -b debian/latest
 
 Package: python3-grib
 Recommends: python-grib-doc

## pygrib 2.1.8

=== debian/changelog ===
pygrib (2.1.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Drop d/compat
  * B-D on python3-numpy-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Oct 2025 08:44:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 13), 
+Build-Depends: debhelper-compat (= 13), 
  chrpath,
  cython3,
  python3-all-dev, 
  python3-numpy, 
+ python3-numpy-dev, 
  dh-sequence-python3,
  python3-pyproj,
  python3-setuptools,
@@ -17,7 +18,7 @@
  sphinx,
  libjs-jquery,
  libjs-underscore
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jswhit/pygrib
 Vcs-Browser: https://salsa.debian.org/science-team/pygrib
 Vcs-Git: https://salsa.debian.org/science-team/pygrib.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 override_dh_fixperms-binary:
 	dh_fixperms
 	find debian/python-grib-doc -name '*.grb' -exec chmod -x {} \;	
+	find debian/python3-grib -name '*.so' -exec chrpath -d {} \;
 	# Replace javascript files
 	for f in doctools.js jquery-3.4.1.js underscore-1.3.1.js jquery.js language_data.js searchtools.js underscore.js ; do \
 		rm $(JSDIR)/$$f ; done

=== debian/tests/control ===
--- 
+++ 
@@ -4,5 +4,5 @@
  ; echo "Testing with $py:"
  ; $py -c "import pygrib"
  ; done
-Depends: python3-grib
+Depends: python3-grib, python3-all
 Restrictions: superficial

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pygrib/pygrib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
